`timescale 1ns / 1ps

//******************************************************************************
//* Stopwatch top-level module.                                                *
//******************************************************************************
module stopwatch(
   input  wire       clk16M,     //16 MHz system clock
   input  wire       rstbt,      //Reset signal
   input  wire [0:0] bt,         //Button
   output wire [7:0] seg_n,      //Segment control signal (active-low)
   output wire [3:0] dig_n,      //Digit select signal (active-low) 
   output wire [4:0] col_n       //Column select signal (active-low)
);

//The 16 MHz oscillator is used as the clock source.
wire clk = clk16M;

//The reset button is used as the reset source.
wire rst = rstbt;


//******************************************************************************
//* Timebase module.                                                           *
//******************************************************************************
wire rst_timebase;
wire time_100ms;

//Instantiate the timebase module here.


//******************************************************************************
//* Counters used for measuring the time.                                      *
//******************************************************************************
wire       rst_counters;         //Reset signal for the counters
wire [3:0] cnt_en;               //Enable signal for the counters
wire [3:0] dig0;                 //Data displayed on DIG0 (100 ms     -> 0-9)
wire [3:0] dig1;                 //Data displayed on DIG1 (seconds    -> 0-9)
wire [3:0] dig2;                 //Data displayed on DIG2 (10 seconds -> 0-5)
wire [3:0] dig3;                 //Data displayed on DIG3 (minutes    -> 0-9)

//The enable signal for the first counter is the timebase signal.
assign cnt_en[0] = 

//Instantiate the 4 counters here. Set the correct number of states for each
//counter. The cy output is used to enable the nect counter.


//******************************************************************************
//* Seven-segment display driver.                                              *
//******************************************************************************
SevenSegmentDisplay display(
   //Clock and reset.
   .clk(clk16M),                 //16 MHz system clock
   .rst(rstbt),                  //Reset signal
   
   //Input data.
   .dig0(dig0),                  //Value displayed on DIG0
   .dig1(dig1),                  //Value displayed on DIG1
   .dig2(dig2),                  //Value displayed on DIG2
   .dig3(dig3),                  //Value displayed on DIG3
   .dp(4'b1010),                 //Decimal points
   
   //Signals driving the seven-segment display.
   .seg_n(seg_n),                //Segment control signal (active-low)
   .dig_n(dig_n)                 //Digit select signal (active-low)
);

//Disable the dot-matrix display.
assign col_n = 5'b11111;


//******************************************************************************
//* Controller FSM.                                                            *
//******************************************************************************
//Instantiate the controller FSM here.



endmodule
